/******************************************************************************
 * $Id: include/hc1.h, v0.01 17:39 27.11.2010 TiN Exp $
 *
 * Copyright (c) 2010, xDevs.com ARM Microcontroller Software Support
 *
 * HC1 Specific definitions
 *
 * Project maintainers:
 *  o Tsemenko Ilya  (ilya@xdevs.com)
 *  o Alex Gurin     (warder@xdevs.com)
 */

#ifndef HC1_H
#define HC1_H 

#include <types.h>
#include <pindefs.h>

/**
  * Pin signals definitions
  */
  
#define PIN_LCD_BL              GPIO_A0
#define PIN_LCD_ADDR            GPIO_A1
#define PIN_LCD_RESET           GPIO_A2
#define PIN_TWI_SDA             GPIO_A3

#define PIN_TWI_SCL             GPIO_A4
#define PIN_RXD0                GPIO_A5
#define PIN_TXD0                GPIO_A6
#define PIN_LCD_CS              GPIO_A7

#define PIN_SPI_NPCS1           GPIO_A9
                                
#define PIN_SPI_NPCS0           GPIO_A11
#define PIN_SPI_MISO            GPIO_A12
#define PIN_SPI_MOSI            GPIO_A13
#define PIN_SPI_SPCK            GPIO_A14


/* Debug pins */                    
//#define PIN_DBGU_RXD            GPIO_A9
#define PIN_DBGU_TXD            GPIO_A10

/* ALTERA chip pin interconnects */
#define PIN_NB_SPI_SEL          GPIO_A8
#define PIN_ENC_STEP            GPIO_A15
#define PIN_ENC_DIR             GPIO_A16
#define PIN_ENC_BTN             GPIO_A24
#define PIN_IDCODE              GPIO_A25
#define PIN_MODULATE            GPIO_A26
                                        
#define PIN_ADC_CH6             GPIO_A17
#define PIN_ADC_CH7             GPIO_A18
#define PIN_ADC_CH4             GPIO_A19
#define PIN_ADC_CH3             GPIO_A20
                                        
#define PIN_RXD1                GPIO_A21
#define PIN_TXD1                GPIO_A22
                                        
#define PIN_IO23                GPIO_A23
#define PIN_IO27                GPIO_A27
#define PIN_IO28                GPIO_A28
#define PIN_IO29                GPIO_A29
#define PIN_IRQ1                GPIO_A30
#define PIN_UDP_PUP             GPIO_A31

/**
  * Debug port operation mode and buffer parameters
  */

#define DEBUG_STANDART          ((uint32_t) 0x4 <<  9)
#define DEBUG_SPEED             ((uint32_t) 115200)
#define DEBUG_BUF_SIZE          ((uint32_t) 128)

/* Frequency of the board main oscillator.*/
#define HC1_MAINOSC             16000000
/* Master clock frequency (when using board_lowlevel.c). */
#define MCK_SPEED               ((uint32_t)((HC1_MAINOSC*72)/28)) /* Target 48000000 */

#define TRUE                    1
#define FALSE                   0

#endif /* HC1_H */
